
CoCoA-5 - Bug #1624

CantStop playing CantStop

21 Oct 2021 17:22 - John Abbott

Status: New Start date: 21 Oct 2021

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.4.4 Spent time: 0.20 hour

Description

Long tried PlayCantStop (On Microsoft) but quickly wanted to give up.

However, interrupting did not work.  He had to kill the CoCoA to end quickly

(or play until the end).

Perhaps input should check for an interrupt signal?

Related issues:

Related to CoCoA-5 - Bug #1029: Readline: does not recognize interrupts Closed 14 Mar 2017

History

#1 - 21 Oct 2021 17:23 - John Abbott

- Related to Bug #1029: Readline: does not recognize interrupts added

#2 - 21 Oct 2021 17:24 - John Abbott

It seems to work fine on my linux box.

#3 - 21 Oct 2021 17:41 - John Abbott

My CoCoA-5 ended abruptly when I sent an EOF as an input:  is that to be expected?

john (ab) > john (ab) > --> ERROR: EOF: end of input reached

--> WHERE: at line 406 (column 11) of CantStop.cpkg5

-->   line := GetLine(StandardInput());

-->           ^^^^^^^^^^^^^^^^^^^^^^^^

CONTEXT: function AskOneCharOf at line 406 of CantStop.cpkg5

 CALLED BY: function HumanRoll at lines 215 .. 216 of CantStop.cpkg5

  CALLED BY: function HumanTurn at line 229 of CantStop.cpkg5

   CALLED BY: function PlayCantStop at line 363 of CantStop.cpkg5

    called at top-level

Process cocoa5 finished

#4 - 15 Jan 2024 19:55 - John Abbott

- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.4
